complexType "AdjustableDates"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 12 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedDate*, dateAdjustments?, adjustedDate*
</...>

Content Model Elements (3):

  adjustedDate (defined in AdjustableDates complexType), dateAdjustments (defined in AdjustableDates complexType), | unadjustedDate (defined in AdjustableDates complexType)

All Direct / Indirect Based Elements (12):

  adjustableDates (defined in AdjustableDatesOrRelativeDateOffset complexType),
  adjustableDates (defined in AdjustableOrRelativeDates complexType),
  adjustableDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  adjustableDates (defined in AdjustableRelativeOrPeriodicDates2 complexType),
  adjustableDates (in cashSettlementPaymentDate),
  calculationDates (defined in CommodityCalculationPeriods.model group),
  calculationPeriods (defined in CommodityCalculationPeriods.model group),
  calculationPeriods (in commodityOption),
  fxFixingSchedule,
  fxObservationDates,
  periods,
  pricingDates (defined in CommodityPricingDates complexType)

Known Usage Locations

- As direct type of elements (12):
  adjustableDates (defined in AdjustableDatesOrRelativeDateOffset complexType),
  adjustableDates (defined in AdjustableOrRelativeDates complexType),
  adjustableDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  adjustableDates (defined in AdjustableRelativeOrPeriodicDates2 complexType),
  adjustableDates (in cashSettlementPaymentDate),
  calculationDates (defined in CommodityCalculationPeriods.model group),
  calculationPeriods (defined in CommodityCalculationPeriods.model group),
  calculationPeriods (in commodityOption),
  fxFixingSchedule,
  fxObservationDates,
  periods,
  pricingDates (defined in CommodityPricingDates complexType)

Annotation
A type for defining a series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the dates.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="AdjustableDates"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="unadjustedDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="adjustedDate" type="IdentifiedDate"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
adjustedDate

  Type: | IdentifiedDate, simple content

  The date once the adjustment has been performed. (Note that this date may change if the business center holidays change).
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="adjustedDate" type="IdentifiedDate"/>

dateAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention and financial business centers used for adjusting the date if it would otherwise fall on a day that is not a business dat in the specified business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/>

unadjustedDate

  Type: | IdentifiedDate, simple content

  A date subject to adjustment.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="unadjustedDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.